##### Views

- Page
- Discussion
- View source
- History

# RandomGenerator:setSeed

Available since LÖVE 0.9.0
This function is not supported in earlier versions.

Sets the seed of the random number generator using the specified integer number.

## Function

### Synopsis

RandomGenerator:setSeed( seed )

### Arguments

`number seed`
  The integer number with which you want to seed the randomization. Must be within the range of [1, 2^53].

### Returns

Nothing.

### Notes

Due to Lua's use of double-precision floating point numbers, values above 2^53 cannot be accurately represented. Use the other variant of this function if your seed will have a larger value.

## Function

Combines two 32-bit integer numbers into a 64-bit integer value and sets the seed of the random number generator using the value.

### Synopsis

RandomGenerator:setSeed( low, high )

### Arguments

`number low`
  The lower 32 bits of the seed value. Must be within the range of [0, 2^32 - 1].
`number high`
  The higher 32 bits of the seed value. Must be within the range of [0, 2^32 - 1].

### Returns

Nothing.

## Examples

Creates a new RandomGenerator object, sets the seed to the system clock's time, then generates a number between 1 and 100 inclusive. Note that the seed can be any number within the range of [0, 2^53 - 1].

function love.load()
rng = love.math.newRandomGenerator()
rng:setSeed(os.time())
randomNumber = rng:random(1,100)
end

## See Also

- RandomGenerator
- RandomGenerator:getSeed
- love.math

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/RandomGenerator:setSeed"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties